Subject: Re: Who "fixed" md5sum??
From: Richard Hitt <[email-masked]>
To: "Mark Paulus" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Sat, 17 Nov 2001 15:56:55 -0800

Hi.

On my incredibly old version of cygnus, md5sum outputs two tokens.  So I
guess you have to blame debian:  perhaps they've gone standard.

BASH.EXE-2.01$ type md5sum
md5sum is hashed (/cygnus/b19/H-i386-cygwin32/bin/md5sum)
BASH.EXE-2.01$ ls -l /cygnus/b19/H-i386-cygwin32/bin/md5sum
-rwxr-xr-x   1 rbh00    everyone    27648 Feb 26  1998
/cygnus/b19/H-i386-cygwin
32/bin/md5sum
BASH.EXE-2.01$ cat ACDS* | md5sum
9dd1a462e2a0dc110c19559ae5f85832  -
BASH.EXE-2.01$ md5sum < ACDS*
9dd1a462e2a0dc110c19559ae5f85832  -
BASH.EXE-2.01$

Richard

On Sat, 17 Nov 2001 15:53:53 -0700, you wrote:

>Hi,
>
>I have a question about md5sum.  It seems like in one of the not
>too distant releases of textutils, the md5sum program altered it's
>behaviour.  Before the change, it would act like the debian/linux
>variety, in that if you would do an 
>md5sum < <somefile>
>you would get a result, and that would be all, e.g.:
>
>This is the result from my debian box.....
>
>mgpaulus@testbox1:/smbapps/cygwin.pkg$ md5sum < setup.exe
>d91a97dcd67b7cb9c6aaa408cf431b01
>
>Here's the same result, except from my cygwin environment:
>$ md5sum < setup.exe
>d91a97dcd67b7cb9c6aaa408cf431b01 *-
>
>My problem is the little '*-' at the end...  I have several unix ported scripts 
>that run md5sum, and expect only the significant md5sum digits, and the
>trailing stuff is causing all the scripts to break.  Would it be possible
>to get either 
>1) a rational for adding the trailing stuff, and making it act
>differently than it's un*x cousin; 
>
>and/or 
>
>2) an ability to turn that "feature" off,
>if everyone else absolutely requires it??
>
>Thanks....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/